import { jsx as _jsx, jsxs as _jsxs } from "@emotion/react/jsx-runtime";
import * as React from "react";
import { Dialog } from "./Dialog";
import { Button } from "./Button";
import { useTheme } from "./Theme/Providers";
import { Text } from "./Text";
import { useUid } from "./Hooks/use-uid";
export const AlertDialog = ({ isOpen, title, subtitle, confirmLabel = "Confirm", onConfirm, intent = "danger", onCancel, onClose }) => {
    const theme = useTheme();
    const id = useUid();
    const cancel = React.useCallback(() => {
        if (onCancel)
            onCancel();
        onClose();
    }, [onCancel, onClose]);
    const confirm = React.useCallback(() => {
        onConfirm();
        onClose();
    }, [onConfirm]);
    return (_jsx(Dialog, Object.assign({ role: "alertdialog", "aria-labelledby": id, onRequestClose: cancel, isOpen: isOpen }, { children: _jsxs("div", Object.assign({ css: { padding: "1.5rem" } }, { children: [_jsx(Text, Object.assign({ id: id, variant: "h5" }, { children: title }), void 0),
                subtitle && _jsx(Text, { children: subtitle }, void 0),
                _jsxs("div", Object.assign({ css: {
                        marginTop: theme.spaces.md,
                        display: "flex",
                        justifyContent: "flex-end"
                    } }, { children: [_jsx(Button, Object.assign({ autoFocus: true, onPress: cancel, variant: "ghost" }, { children: "Cancel" }), void 0),
                        _jsx(Button, Object.assign({ onPress: confirm, css: { marginLeft: theme.spaces.sm }, intent: intent }, { children: confirmLabel }), void 0)] }), void 0)] }), void 0) }), void 0));
};
//# sourceMappingURL=AlertDialog.js.map