import { __rest } from "tslib";
import { jsx as _jsx, jsxs as _jsxs } from "@emotion/react/jsx-runtime";
import PropTypes from "prop-types";
import { useTheme } from "../../Theme/Providers";
export const IconMenu = (_a) => {
    var { color: providedColor, size: providedSize = "md" } = _a, other = __rest(_a, ["color", "size"]);
    const theme = useTheme();
    const size = typeof providedSize === "string"
        ? theme.iconSizes[providedSize]
        : providedSize;
    const color = providedColor || theme.colors.text.default;
    return (_jsxs("svg", Object.assign({ viewBox: "0 0 24 24", fill: "none", stroke: color, strokeWidth: "2", strokeLinecap: "round", strokeLinejoin: "round", height: size, width: size }, other, { children: [_jsx("line", { x1: "3", y1: "12", x2: "21", y2: "12" }, void 0),
            _jsx("line", { x1: "3", y1: "6", x2: "21", y2: "6" }, void 0),
            _jsx("line", { x1: "3", y1: "18", x2: "21", y2: "18" }, void 0)] }), void 0));
};
IconMenu.propTypes = {
    color: PropTypes.string,
    size: PropTypes.oneOfType([
        PropTypes.oneOf(["xs", "sm", "md", "lg", "xl"]),
        PropTypes.number
    ])
};
//# sourceMappingURL=IconMenu.js.map